** simple inference for categorical data.
* Lifespans of rats.

GET
  FILE='C:\Documents and Settings\gvm\My Documents\onderwijs\spss\datasets\unpaired_2samples.SAV'.

RECODE
  lifespan
  (Lowest thru 729=1)  (730 thru Highest=0)  INTO  life_cat .
VARIABLE LABELS life_cat 'lifespan less than 2 years?'.
EXECUTE .
FORMAT life_cat (F5.0).
VALUE LABELS life_cat 0 "No" 1 "Yes".

CROSSTABS
  /TABLES=life_cat  BY diet
  /FORMAT= AVALUE TABLES
  /STATISTIC=CHISQ RISK
  /CELLS= COUNT EXPECTED COLUMN
  /COUNT ROUND CELL
  /BARCHART .

* more elegant bar chart.
IGRAPH /VIEWNAME='Bar Chart' /X1 = VAR(diet) TYPE = CATEGORICAL /Y = $pct /COLOR = VAR(life_cat) TYPE = CATEGORICAL CLUSTER
 /COORDINATE = VERTICAL  /X1LENGTH=3.0 /YLENGTH=3.0 /X2LENGTH=3.0 /CHARTLOOK='C:\Program Files\SPSS\Looks\Classic.clo'
 /CATORDER VAR(diet) (ASCENDING VALUES OMITEMPTY) /CATORDER VAR(life_cat) (ASCENDING VALUES OMITEMPTY) /BAR KEY=OFF SHAPE =
  RECTANGLE BASELINE = AUTO.
EXE.

** slimmed table for Excel barchart graph.
CROSSTABS
  /TABLES=life_cat  BY diet
  /FORMAT= AVALUE TABLES
  /CELLS= COLUMN
  /COUNT ROUND CELL .

GRAPH
  /BAR(GROUPED)=PCT BY diet BY life_cat .
